{% extends 'index.html' %}
{% block content %}

<div id = "animais">
    {% set ns = namespace(items=-1) %}
    {% for adocao in adocoes %}
        {% set ns.items = ns.items + 1 %}
        <div class="card">
            <i class="fas fa-times card-action"></i>
            <div class="card-img">
                <img src={{ url_for('static', filename='img/animais/' + adocao[8]) }} alt="Imagem de paisagem">
                {% set idanimal =  adocao[0] ~ '' %}
                <h1>{{adocao[1]}}</h1>
            </div>
            <h2>{{adocao[7]}}{{' Pedidos de Adoção'}}</h2>
            <h2>{{relatorios[ns.items][1]}}{{' reportes de condição anormal'}}</h2>
            </br>
            <div class="card-buttons">
                <button class="card-button card-button-center perfilPublicoButton" onclick="exibirDados({{idanimal[0]}})">Exibir Dados</button>
                <button class="card-button card-button-center perfilPublicoButton"  onclick="ocultarDados({{idanimal[0]}})">Ocultar Dados</button>
                <button class="card-button card-button-center perfilPublicoButton" onclick="realizarAdocao({{idanimal[0]}}, {{ns.items}})">Reportar</button>
            </div>
            </br>
            <div class = "dados-animal" id = {{idanimal[0]}}>
                <h3>{{'Nome do PET: '}}{{adocao[1]}}</h3>
                <h3>{{'Data de Nascimento: '}}{{adocao[2].strftime("%d-%b-%Y")}}</h3>
                <h3>{{'Peso (Kg): '}}{{adocao[3]}}</h3>
                <h3>{{'Tamanho (cm): '}}{{adocao[4]}}</h3>
                <h3>{{'Tipo do Pêlo: '}}{{adocao[5]}}</h3>
                {% if adocao[6] %}
                    <h3>{{'Está Adotado? '}}{{'Sim'}}</h3>
                {% else %}
                    <h3>{{'Está Adotado? '}}{{'Não'}}</h3>
                {% endif %}
            </div>
        </div>
    {% endfor %}
</div>

<div class="card">
    <h1>Relatório de condição anormal</h1>
    <form action={{url_for("report")}} method="POST" enctype="multipart/form-data" id = "relatorio">
         {{form.csrf_token}}
         <input type=”hidden” id = "oculto" name = "id" style="display: none;">
        <div>
            <label for="input-name">Nome:</label>
            {{form.nome(placeholder = "Nome e Sobrenome", id = "input-name", maxlength="100")}}
        </div>
        <div>
            <label for="input-tel">Telefone para contato:</label>
            {{form.telefone(placeholder = "Apenas números - DDD + TEL", id="input-tel", pattern="[0-9]+$", minlength= "11", maxlength="11")}}
        </div>
        <div>
            <label for="input-email">Email para contato:</label>
            {{form.email_contato(placeholder = "Endereço de E-Mail", id="input-email")}}
        </div>
        <div> 
            <label for="input-date">Referente a data:</label>
            {{form.data(id="input-date")}}
        </div>
        <div>
            <label for="input-pet-name">Nome do PET:</label>
            {{form.nome_pet(id="input-pet-name", maxlength="100")}}
            <button type="button" id="getAnimalButton" href = "#animais"><i class="fas fa-border-all"></i></button>
        </div>
        <div>
            <label for="input-pet-condition">Descrição da condição:</label>
            {{form.condicao(placeholder = "Estado do Animal", id="input-pet-condition", maxlength="200")}}
        </div>
        <div>
            <label for="input-pet-pic">Anexo comprovatório:</label>
            {{form.file(runat="server", id="input-pet-pic")}}
            <button id="beautiful-input-pet-pic" type="button", style="display:none;">Selecionar arquivo</button>
        </div>
        <input type="submit" value="Enviar" id = "submeter">
    </form>
</br>
{% with messages = get_flashed_messages() %}
    {% if messages %}
        <ul class=flashes>
            {% for message in messages %}
                <li>{{ message }}</li>
            {% endfor %}
        </ul>
    {% endif %}
{% endwith %}
</div>
<script src={{ url_for('static', filename='js/jquery.js') }} type="text/javascript"></script>
<script src={{ url_for('static', filename='js/report.js') }} type="text/javascript"></script>
{% endblock %}